import org.junit.Assert;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;


public class SampleGoogle {
    @Test
    public void testGoogleSearch() throws Exception {

        //  System.setProperty("webdriver.chrome.driver", "/Applications/chrome driver/chromedriver.exe");
        WebDriver driver = new ChromeDriver();
        driver.navigate().to("http://google.com");
        WebElement searchBox = driver.findElement(By.name("q"));
        searchBox.sendKeys("today news");
        searchBox.submit();
        Thread.sleep(5000);
        driver.quit();

    }

    @Test
    public void testSafeway() throws Exception {

        String expectedErrorMsgEmail = "Please enter your email address.";
        String expectedErrorMsgPwd = "Please enter a password.";


        WebDriver driver = new ChromeDriver();
        driver.navigate().to("http://safeway.com");

        WebElement signInLinkMain = driver.findElement(By.linkText("Sign In / Up"));
        //WebElement signInLinkMain = driver.findElement(By.xpath("//span[contains(text(),'Sign In / Up')]"));
        signInLinkMain.click();

        WebElement signInModal = driver.findElement(By.id("sign-in-modal-link"));
        signInModal.click();


        WebElement signIn = driver.findElement(By.id("btnSignIn"));
        signIn.submit();

        WebElement errorMsgEmail = driver.findElement(By.id("errorMsgEmail"));
        String errorMsgE = errorMsgEmail.getText();
        System.out.println("actual error msg "+errorMsgE +"hello i am getting printed" +"\n" +"expected error msg is "
                +expectedErrorMsgEmail);

        WebElement errorMsgPwd = driver.findElement(By.id("errorMsgPwd"));
        String errorMsgP = errorMsgPwd.getText();
        System.out.println(errorMsgP);


        Assert.assertEquals(errorMsgE, expectedErrorMsgEmail);

        Thread.sleep(5000);
        driver.quit();


    }



}
